qpid::framing::ExchangeQueryResult Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::ExchangeQueryResult Class Reference

`#include <qpid/framing/ExchangeQueryResult.h>`

List of all members.

## Public Member Functions
| ExchangeQueryResult (const std::string &_type, bool _durable, bool _notFound, const FieldTable &_arguments)
| ExchangeQueryResult ()
void | setType (const std::string &_type)
const std::string & | getType () const
bool | hasType () const
void | clearTypeFlag ()
void | setDurable (bool _durable)
bool | getDurable () const
void | setNotFound (bool _notFound)
bool | getNotFound () const
void | setArguments (const FieldTable &_arguments)
const FieldTable & | getArguments () const
FieldTable & | getArguments ()
bool | hasArguments () const
void | clearArgumentsFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1793
## Friends
std::ostream & | operator<< (std::ostream &, const ExchangeQueryResult &)

## Constructor & Destructor Documentation

qpid::framing::ExchangeQueryResult::ExchangeQueryResult | ( | const std::string & | _type,
|  | bool | _durable,
|  | bool | _notFound,
|  | const FieldTable & | _arguments
| ) |  | `[inline]`

Definition at line 44 of file ExchangeQueryResult.h.

qpid::framing::ExchangeQueryResult::ExchangeQueryResult | ( |  | ) | `[inline]`

Definition at line 57 of file ExchangeQueryResult.h.

## Member Function Documentation

uint32_t qpid::framing::ExchangeQueryResult::bodySize | ( |  | ) | const

void qpid::framing::ExchangeQueryResult::clearArgumentsFlag | ( |  | ) |

void qpid::framing::ExchangeQueryResult::clearTypeFlag | ( |  | ) |

void qpid::framing::ExchangeQueryResult::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::ExchangeQueryResult::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::ExchangeQueryResult::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::ExchangeQueryResult::encodedSize | ( |  | ) | const

void qpid::framing::ExchangeQueryResult::encodeStructBody | ( | Buffer & |  | ) | const

const FieldTable& qpid::framing::ExchangeQueryResult::getArguments | ( |  | ) | const

FieldTable& qpid::framing::ExchangeQueryResult::getArguments | ( |  | ) |

bool qpid::framing::ExchangeQueryResult::getDurable | ( |  | ) | const

bool qpid::framing::ExchangeQueryResult::getNotFound | ( |  | ) | const

const std::string& qpid::framing::ExchangeQueryResult::getType | ( |  | ) | const

bool qpid::framing::ExchangeQueryResult::hasArguments | ( |  | ) | const

bool qpid::framing::ExchangeQueryResult::hasType | ( |  | ) | const

void qpid::framing::ExchangeQueryResult::print | ( | std::ostream & | out | ) | const

void qpid::framing::ExchangeQueryResult::setArguments | ( | const FieldTable & | _arguments | ) |

void qpid::framing::ExchangeQueryResult::setDurable | ( | bool | _durable | ) |

void qpid::framing::ExchangeQueryResult::setNotFound | ( | bool | _notFound | ) |

void qpid::framing::ExchangeQueryResult::setType | ( | const std::string & | _type | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const ExchangeQueryResult & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::ExchangeQueryResult::TYPE = 1793`[static]`

Definition at line 43 of file ExchangeQueryResult.h.

The documentation for this class was generated from the following file:

- qpid/framing/ExchangeQueryResult.h